Loading...
Searching...
No Matches
CompositionalFluidState.hpp File Reference

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium. More...

`#include "ModularFluidState.hpp"`
`#include <opm/common/utility/gpuDecorators.hpp>`
`#include <opm/material/common/Valgrind.hpp>`
`#include <algorithm>`

Go to the source code of this file.

## Classes

class | Opm::CompositionalFluidState< Scalar, FluidSystem, true >
class | Opm::CompositionalFluidState< Scalar, FluidSystem, false >

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium.